1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-03-30 00:35:18 +02:00
Files
coreutils/tests/mv/i-1
Jim Meyering d21a17dbb4 .
1998-10-03 16:45:10 +00:00

42 lines
959 B
Bash
Executable File

#!/bin/sh
: ${PERL=perl}
: ${srcdir=.}
case "$PERL" in
*'missing perl')
echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
exit 77
;;
esac
exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
require 5.003;
use strict;
(my $program_name = $0) =~ s|.*/||;
# Turn off localisation of executable's ouput.
@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
my $test_a = 'a';
my @Tests =
(
# Make sure a `n' reply to `mv -i...' aborts the move operation.
[$test_a, '-i',
{IN => {src => "a\n"}}, {IN => {dst => "b\n"}}, '<', {IN => "n\n"},
{ERR => "mv: overwrite `dst'? "},
{POST => sub { -r 'src' or die "test $test_a failed\n"}},
{EXIT => 1},
],
);
my $save_temps = $ENV{DEBUG};
my $verbose = $ENV{VERBOSE};
my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
exit $fail;
EOF